package com.kmall.admin.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 mall_supplier
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-11-26 15:14:24
 */
public class SupplierEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 一级商户编号
     */
    private String levelMerchSn;
    /**
     * 一级商户标识
     */
    private String levelMerchFlag;
    /**
     * 二级供货商名称
     */
    private String childSupplierName;
    /**
     * 二级供货商标识
     */
    private String childSupplierFlag;
    /**
     * 排序
     */
    private Integer sortOrder;
    /**
     * 是否禁用：0：否；1：是
     */
    private String isShow;

    private String thirdPartyMerchCode;

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：一级商户编号
     */
    public void setLevelMerchSn(String levelMerchSn) {
        this.levelMerchSn = levelMerchSn;
    }

    /**
     * 获取：一级商户编号
     */
    public String getLevelMerchSn() {
        return levelMerchSn;
    }
    /**
     * 设置：一级商户标识
     */
    public void setLevelMerchFlag(String levelMerchFlag) {
        this.levelMerchFlag = levelMerchFlag;
    }

    /**
     * 获取：一级商户标识
     */
    public String getLevelMerchFlag() {
        return levelMerchFlag;
    }

    public String getChildSupplierName() {
        return childSupplierName;
    }

    public void setChildSupplierName(String childSupplierName) {
        this.childSupplierName = childSupplierName;
    }
    /**
     * 设置：二级供货商标识
     */
    public void setChildSupplierFlag(String childSupplierFlag) {
        this.childSupplierFlag = childSupplierFlag;
    }

    /**
     * 获取：二级供货商标识
     */
    public String getChildSupplierFlag() {
        return childSupplierFlag;
    }
    /**
     * 设置：排序
     */
    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    /**
     * 获取：排序
     */
    public Integer getSortOrder() {
        return sortOrder;
    }
    /**
     * 设置：是否禁用：0：否；1：是
     */
    public void setIsShow(String isShow) {
        this.isShow = isShow;
    }

    /**
     * 获取：是否禁用：0：否；1：是
     */
    public String getIsShow() {
        return isShow;
    }
}
